call spQuery_Combo_Vendedor_Meta(1, '2013', '01',4);

DROP PROCEDURE IF EXISTS spQuery_Combo_Vendedor_Meta;
CREATE PROCEDURE spQuery_Combo_Vendedor_Meta(
  varEmpresa    int,
  varAnio       varchar(4),
  varMes        varchar(2),
  varProveedor  int
  )
BEGIN 
  select id_trabajador, CONCAT(apellido_paterno, ' ', apellido_materno, ' ', nombre) as trabajador
  from _sv_trabajador
  where _estado='A' and estado = 'A'
  and id_trabajador <> 0
  and id_tipo_trabajador in (1,2)
  and id_trabajador not in (
                          select id_trabajador
                          from _sv_metas
                          where id_anio    = varAnio
                          and id_mes       = varMes
                          and id_empresa   = varEmpresa
                          and id_proveedor = varProveedor
                          )
  order by CONCAT(apellido_paterno, ' ', apellido_materno, ' ', nombre);
END;